This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1002707 - Review Request: vorbis-java - Ogg and Vorbis toolkit for Java
Review Request: vorbis-java - Ogg and Vorbis toolkit for Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1019650
  Show dependency treegraph
 
Reported: 2013-08-29 14:37 EDT by gil cattaneo
Modified: 2013-11-10 03:14 EST (History)
2 users (show)

See Also:
Fixed In Version: vorbis-java-0.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 03:14:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-08-29 14:37:07 EDT
Spec URL: http://gil.fedorapeople.org/vorbis-java.spec
SRPM URL: http://gil.fedorapeople.org/vorbis-java-0.2-1.fc19.src.rpm
Description:
This library is a pure Java, for working with Ogg and
Vorbis files.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2013-10-10 10:59:34 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6047074
Comment 2 Björn "besser82" Esser 2013-10-16 14:14:30 EDT
taken  ;)
Comment 3 Björn "besser82" Esser 2013-10-16 14:49:14 EDT
Package has two minor issues.  :(  No blockers; you can fix that on import.  :)

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/share/java/vorbis-java/vorbis-java-
  core-tests.jar
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles

  ---> You can safely drop:
       %{_javadir}/%{name}/%{name}-core-tests.jar

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* Apache (v2.0)". Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/1002707-vorbis-java/licensecheck.txt

     ---> License-tag is fine.  :)

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in vorbis-
     java-tools , vorbis-java-javadoc

     ---> Those package can be used without needing the main-pkg.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.

     ---> Tests are run by maven during %build.

[!]: Packages should try to preserve timestamps of original installed files.

     ---> install -m 644 ---> install -pm 644

[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: vorbis-java-0.2-1.fc21.noarch.rpm
          vorbis-java-tools-0.2-1.fc21.noarch.rpm
          vorbis-java-javadoc-0.2-1.fc21.noarch.rpm
          vorbis-java-0.2-1.fc21.src.rpm
vorbis-java.noarch: W: spelling-error Summary(en_US) Ogg -> Egg, Org, Boggy
vorbis-java.src: W: spelling-error Summary(en_US) Ogg -> Egg, Org, Boggy
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint vorbis-java-javadoc vorbis-java vorbis-java-tools
vorbis-java.noarch: W: spelling-error Summary(en_US) Ogg -> Egg, Org, Boggy
3 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
vorbis-java-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

vorbis-java (rpmlib, GLIBC filtered):
    jpackage-utils

vorbis-java-tools (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(org.gagravarr:vorbis-java-core)



Provides
--------
vorbis-java-javadoc:
    vorbis-java-javadoc

vorbis-java:
    mvn(org.gagravarr:vorbis-java)
    mvn(org.gagravarr:vorbis-java-core)
    mvn(org.gagravarr:vorbis-java-core::tests:)
    mvn(org.gagravarr:vorbis-java-parent)
    mvn(org.gagravarr:vorbis-java-parent:pom:)
    mvn(org.gagravarr:vorbis-java:pom:)
    vorbis-java

vorbis-java-tools:
    mvn(org.gagravarr:vorbis-java-tools)
    vorbis-java-tools



Source checksums
----------------
https://github.com/Gagravarr/VorbisJava/archive/vorbis-java-0.2.tar.gz :
  CHECKSUM(SHA256) this package     : 2578f1e6529226b61715e8d2dacce4243704abc16ff2656c2cc3522e65ce94c3
  CHECKSUM(SHA256) upstream package : 2578f1e6529226b61715e8d2dacce4243704abc16ff2656c2cc3522e65ce94c3


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1002707
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

APPROVED!!!

Please fix those two small issues during import.
Comment 4 gil cattaneo 2013-10-16 15:21:37 EDT
sorry but this is not a duplicate file
%{_javadir}/%{name}/%{name}-core-tests.jar
is required for test other libraries and dont contains the same classes of 
%{_javadir}/%{name}/%{name}-core.jar
Comment 5 gil cattaneo 2013-10-16 15:24:08 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: vorbis-java
Short Description: Ogg and Vorbis toolkit for Java
Owners: gil
Branches: f20
InitialCC: java-sig
Comment 6 gil cattaneo 2013-10-16 15:26:39 EDT
the problem of duplicate file is present only in rawhide
caused by %mvn_package macro
Comment 7 gil cattaneo 2013-10-16 15:43:24 EDT
Spec URL: http://gil.fedorapeople.org/vorbis-java.spec
SRPM URL: http://gil.fedorapeople.org/vorbis-java-0.2-1.fc19.src.rpm

- add check for prevent duplicate files
- preserve timestamps of original installed files
Comment 8 Gwyn Ciesla 2013-10-16 15:48:52 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-10-16 20:14:08 EDT
vorbis-java-0.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vorbis-java-0.2-1.fc20
Comment 10 Fedora Update System 2013-10-17 16:27:50 EDT
vorbis-java-0.2-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 11 Fedora Update System 2013-11-10 03:14:44 EST
vorbis-java-0.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.